Name:		owasp-java-encoder
Version:	1.2.1
Release:	1%{?dist}
Summary:	Collection of high-performance low-overhead contextual encoders

License:	ASL 2.0
URL:		https://github.com/OWASP/owasp-java-encoder/

Source0:	https://github.com/OWASP/owasp-java-encoder/archive/v1.2.1.tar.gz

Patch0:		0_manifest.patch

BuildArch:	noarch

BuildRequires:	maven-local
BuildRequires:	maven-source-plugin
BuildRequires:	sonatype-oss-parent

Requires:	java-openjdk

%description
The OWASP Encoders package is a collection of high-performance low-overhead
contextual encoders, that when utilized correctly, is an effective tool in
preventing Web Application security vulnerabilities such as
Cross-Site Scripting.

%prep
%setup -q

# add OSGi metadata
%patch0 -p1

# analysis tool for testing coverage - not required
%pom_remove_plugin :cobertura-maven-plugin

%build
%mvn_build

# inject OSGi manifest
jar ufm %{_builddir}/%{name}-%{version}/core/target/encoder-%{version}.jar %{_builddir}/%{name}-%{version}/META-INF/MANIFEST.MF

%install
%mvn_install

%files
%license LICENSE
%doc README.md
/usr/share/java/%{name}
/usr/share/javadoc/%{name}
/usr/share/maven-poms/%{name}
/usr/share/maven-metadata/%{name}.xml

%changelog
* Wed Aug 08 2018 Salman Siddiqui <sasiddiq@redhat.com> - 1.2.1-1
- Initial packaging
